[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'EditBtn' (#lcl)

# TCustomControlFilterEdit.InternalSetFilter

Performs actions needed when a new value is assigned to the Filter property.

## Declaration

Source position: editbtn.pas line 252

`protected procedure TCustomControlFilterEdit.InternalSetFilter(`
`const AValue: string`
`);`

## Arguments

`AValue` |  | New filter value applied in the method.

## Description

InternalSetFilter is called from the write access specifier for the Filter property. It performs actions needed when the value in Filter has been changed (and applied to Text), and the control needs to be updated to reflect the modified value.

- Sets the enabled state for the Button on the control; it is enabled when the AValue argument contains a non-empty value.
- Sets the values in members for the Filter and FilterLowercase properties.
- Calls Invalidatefilter to update internal members which cause the control to refresh the list of filtered items when an idle state occurs.

## Version info

Added in LCL version 3.0.

## See also

TCustomControlFilterEdit.Filter |  | Contains the textual used to select the visible items in the associated control.
TCustomEditButton.Button |  | TSpeedButton instance used on the edit control.